<?php


namespace Drupal\entity_reference_hierarchy_revisions\Plugin\Field\FieldWidget;

use Drupal\entity_reference_revisions\Plugin\Field\FieldWidget\EntityReferenceRevisionsAutocompleteWidget;
use Drupal\entity_reference_hierarchy\Plugin\Field\FieldWidget\EntityReferenceHierarchyWidgetTrait;

/**
 * Plugin implementation of the 'entity_reference_hierarchy_autocomplete' widget.
 *
 * @FieldWidget(
 *   id = "entity_reference_hierarchy_revisions_autocomplete",
 *   label = @Translation("Autocomplete"),
 *   description = @Translation("An autocomplete text field."),
 *   field_types = {
 *     "entity_reference_hierarchy_revisions"
 *   }
 * )
 */
class EntityReferenceHierarchyRevisionsAutocompleteWidget extends EntityReferenceRevisionsAutocompleteWidget {

  use EntityReferenceHierarchyWidgetTrait;

}
